/* Stockage d'une couleur rvb               */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Novembre 2012                            */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "CouleurRVBA.h"
#include "Rvba.h"

/* Constructeurs                            */
CouleurRVBA::CouleurRVBA(void):Rvba() {
}

CouleurRVBA::CouleurRVBA(double r,double v,double b,double a):Rvba(r,v,b,a) {
}

CouleurRVBA::CouleurRVBA(float r,float v,float b,float a):Rvba(r,v,b,a) {
}

CouleurRVBA::CouleurRVBA(double *c):Rvba(c) {
}

CouleurRVBA::CouleurRVBA(float *c):Rvba(c) {
}

CouleurRVBA::CouleurRVBA(CouleurRVBA *c):Rvba(c) {
}

/* Destructeur                              */
CouleurRVBA::~CouleurRVBA(void) {
}
